Action
Action URIs can launch another application while passing parameters as the selected resource and date or time. For instructions how to construct an URI, continue here.
Upsert
Inserts or updates an action uri.
Only URI's with matching SourceApp and SourceType fields are shown. UrlDesc is the description shown to the user.
| Name | Data Type | Default | Required | Description |
|---|---|---|---|---|
| SourceApp | nvarchar(30) | See API reference | ||
| SourceType | nvarchar(10) | See API reference | ||
| UrlType | int | ✔️ | See API reference | |
| Url | nvarchar(1000) | ✔️ | ||
| UrlDesc | nvarchar(255) | |||
| DefaultUrl | bit | 0 | ||
| RequestType | int | ✔️ | See API reference |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_upsertActionUrl. - Example body:
[
{
"StoredProcedureName": "mboc_upsertActionUrl",
"ParameterNames": ["UrlType", "Url", "UrlDesc"],
"ParameterValues": ["2", "https://actionableURI.domain", "Lock appointment"]
}
]
See POST /actionUri, PUT /actionUri in the REST API reference.
API reference
Source
Dime.Scheduler is a centralized planning application. One of its key tenets is the ability to accommodate data from different origins. For instance, it is perfectly acceptable to plan work orders from Business Central, CRM, imported Excel sheets, etc., and Dime.Scheduler won't break a sweat because of the existence of the Source App and Source Type fields in the data model.